package com.sckj.project.task;

import com.sckj.project.service.task.BuildingTaskService;
import com.sckj.project.service.task.LogisticsTaskService;
import com.sckj.project.service.task.ServiceTaskService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Description 手动触发执行
 * @Author bqyang
 * @Date 2025/3/19 14:07
 * @Version 1.0
 */
@Slf4j
@RestController
@RequestMapping("/api")
public class TestController {

    @Autowired
    private ServiceTaskService serviceTaskService;

    @Autowired
    private BuildingTaskService buildingTaskService;

    @Autowired
    private LogisticsTaskService logisticsTaskService;

    @GetMapping("/task")
    public void test(){
        log.info("服务保障中心触发手动任务开始执行");
        serviceTaskService.myTask();
        log.info("服务保障中心定时任务开始执行完成");
    }

    @GetMapping("/build")
    public void build(){
        log.info("楼宇服务触发手动任务开始执行");
        buildingTaskService.myTask();
        log.info("楼宇服务定时任务开始执行完成");
    }

    @GetMapping("/logistics")
    public void logistics(){
        log.info("后勤服务触发手动任务开始执行");
        logisticsTaskService.myTask();
        log.info("后勤服务定时任务开始执行完成");
    }
}
